"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const aws_sdk_1 = require("aws-sdk");
class DynamoDBEventStore {
    constructor({ eventsTable = "Events" } = {}) {
        this.publish = async (event) => {
            console.log(`SNS.publish called ${JSON.stringify(event)}`);
            // const result = await this.db
            //   .put(
            //     {
            //       TableName: this.tableName,
            //       Item: {
            //         id: ulid(),
            //         ...event
            //       }
            //     },
            //     (err, data) => {
            //       if (err) {
            //         console.error("Unable to add item. Error JSON:", JSON.stringify(err, null, 2));
            //       } else {
            //         console.log("Added item:", JSON.stringify(data, null, 2));
            //       }
            //     }
            //   )
            //   .promise();
            var params = {
                Message: JSON.stringify(event) /* required */,
                TopicArn: "SUBSCRIPTION_EVENTS",
                MessageStructure: "json"
            };
            await new aws_sdk_1.SNS({ apiVersion: "2010-03-31" })
                .publish(params)
                .promise()
                .then(() => console.log(`SNS.publish finished`))
                .catch(err => console.log(`SNS.publish failed ${JSON.stringify(err)}`));
        };
        this.db = new aws_sdk_1.DynamoDB.DocumentClient();
        this.tableName = eventsTable;
    }
}
exports.DynamoDBEventStore = DynamoDBEventStore;
exports.default = DynamoDBEventStore;
